#
# spec file for package python-cly
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-cly
Version:        0.9
Release:        14.3
Url:            http://swapoff.org/cly
Summary:        A module for adding powerful text-based consoles to your application
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/c/cly/cly-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-docutils
BuildRequires:  ncurses-devel
BuildRequires:  python-Pygments
BuildRequires:  readline-devel
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
CLY is a Python module for simplifying the creation of interactive shells.
Kind of like the builtin "cmd" module on steroids.

%prep
%setup -q -n cly-%{version}
sed -i "s/'curses'/'ncurses'/" setup.py # -lcurses doesn't find the library; -lncurses does.

%build
python setup.py build
cd doc && make && rm Makefile

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README doc
%{python_sitearch}/*

%changelog
* Thu Sep 22 2011 saschpe@suse.de
- BuildRequire python-docutils instead of docutils
* Fri Sep  2 2011 saschpe@suse.de
- It's not a noarch package...
* Fri Sep  2 2011 saschpe@suse.de
- Properly named spec and changes file
  * Added spec file license header
- Don't repackage tarball
* Tue May 12 2009 poeml@novell.com
- fix build:
  * use -lncurses instead of -lcurses for linking; the latter
    doesn't find the library.
  * adding docutils and pygments for building the docs
- convert in-specfile changelog to .changes file, for editing with "osc vc"
* Tue Dec 18 2007 James Oakley <jfunk@funktronics.ca>
- Initial release
